MagicSpam old openssl problem

Welcome to MagicSpam for Postfix! A better spam protection in an easy to use Postfix Module. Visit here for support, frequently asked questions, wishlists and discussion groups on this great new module to make life with Postfix that much simpler.

Moderators: wizard, magicspam

Post Reply
tczaude
Posts: 1
Joined: Mon Jun 01, 2020 1:57 am

MagicSpam old openssl problem

Post by tczaude » Mon Jun 01, 2020 4:57 am

Hi i try run magicspam on Funtoo (Gentoo)

and i have results
/etc/init.d/magicspam-daemon status
magicspam-daemon is active and running [7559]

Code: Select all

/etc/init.d/magicspam-milter status
magicspam-milter is active and running [7584]
but with

Code: Select all

/etc/init.d/magicspam-httpd status
magicspam-httpd is not running
becouse
Stopping magicspam-httpd ...done
Starting magicspam-httpd .../usr/share/magicspam/bin/magicspam-httpd: /usr/lib64/libssl.so.10: no version information available (required by /usr/share/magicspam/bin/magicspam-httpd)
/usr/share/magicspam/bin/magicspam-httpd: /usr/lib64/libcrypto.so.10: no version information available (required by /usr/share/magicspam/bin/magicspam-httpd)
2020-06-01 13:24:49: (../../lighttpd/src/log.c.97) server started
Failed to start magicspam-httpd
I base my installation on rpm from centos 7.

And i have first problem because magicspam use openssl-1.0.x .
Ok i install openssl-compat and now magicspam produce above error

And i have question
there is another option run web interface ?
We have version to run with update openssl from OpenSSL 1.1.x series
You can distribute source code to own compilation?
Or You have another solution to run on funtoo/gentoo

magicspam
Posts: 1335
Joined: Tue Oct 28, 2008 2:27 pm

Re: MagicSpam old openssl problem

Post by magicspam » Mon Jun 01, 2020 10:31 am

Hello tczaude,

Thank you for your post.

To resolve this issue, could you please follow the instructions below:

1. Please ensure that the /usr/share/magicspam/lib/mod_openssl.so file exists in your server

2. Add the following line under the SSL Engine section to the /etc/magicspam/httpd/httpd.conf:

#### SSL Engine
...
ssl.openssl.ssl-conf-cmd = ("Protocol" => "-ALL, TLSv1.2")

3. Restart the magicspam-httpd service

e.g:
service magicspam-httpd stop
service magicspam-httpd start

Please let us know if this resolves the issue or if you need any further assistance.
-- MagicSpam Support Team --

Post Reply

Return to “MagicSpam for Postfix”

Who is online

Users browsing this forum: No registered users and 1 guest